import peerDepsExternal from 'rollup-plugin-peer-deps-external'
import { terser, } from 'rollup-plugin-terser'
import typescript from '@rollup/plugin-typescript'

import pkg from './package.json'

const ENTRY_POINT = './index.ts'

export default {
  input: ENTRY_POINT,
  output: {
    dir: pkg.directories.lib,
    format: 'cjs',
    sourcemap: true,
  },
  plugins: [
    peerDepsExternal({
      includeDependencies: true,
    }),
    typescript(),
    process.env.NODE_ENV === 'production' && terser(),
  ],
}
